/*****************************************************************************/
/*	         							     */
/*									     */
/*    *****			  ***** 				     */
/*	 *****			*****					     */
/*	   *****	      *****					     */
/*	     *****	    *****					     */
/*  ***************	  ***************				     */
/*  *****************	*****************				     */
/*  ***************	  ***************				     */
/*	     *****	    *****	   TheNet       		     */
/*	   *****	      *****	   Portable. Compatible.	     */
/*	 *****			*****	   Public Domain		     */
/*    *****			  *****    NORD><LINK	 		     */
/*									     */
/* This software is public domain ONLY for non commercial use                */
/*                                                                           */
/*									     */
/*****************************************************************************/

/*** externe Definitionen fuer Level 7					   ***/
/*
 * G8KBB - April 91 - change case of defTp
 *                  - conditionally include stats command on STATSCMD
 *                  - include extra defintions for modified code
 */

/*
 * Released as TheNet X-1J, September 1993
 */

extern	char	 myid[];	/* Call des TNC				     */
extern	char	 alias[];	/* Ident des TNC			     */
extern	char	 istraf[];	/* Flag: Betrieb auf dem Kanal		     */
extern	char	 nmblks;	/* aktuelle Links in L2			     */
extern	char	 Ypar;		/* Links in Level2 maximal		     */
extern	unsigned Fpar;		/* Level2 Timer 1			     */
extern	unsigned Opar;		/* Level2 Fenstergroesse		     */
extern	unsigned Npar;		/* Level2 Versuche			     */
extern	unsigned T2par;		/* Level2 Timer 2			     */
extern	unsigned T3par;		/* Level2 Timer 3			     */
extern	BOOLEAN	 Rpar;		/* Level2 Digipeating enable Flag	     */
extern	unsigned nmbfre;	/* Zahl der freien Buffer		     */
extern	l2ltyp	 *lnkpoi;	/* Pointer in l2lnk			     */
extern	unsigned maxdes;	/* Laenge der Zielliste maximal		     */
extern	unsigned broint;	/* Rundspruchintervall			     */
extern	unsigned obcini;	/* Anfangswert fuer Knoten Lebensdauer	     */
extern	unsigned obcbro;	/* min. Restlebensdauer fuer Rundspruch	     */
extern	unsigned timliv;	/* Anfangswert Paketlebensdauer		     */
extern	unsigned worqua;	/* minimal Qualitaet fuer Autoupdate	     */
extern	unsigned ch0qua;	/* HDLC Kanal Qualitaet			     */
extern	unsigned ch1qua;	/* RS232 Kanal Qualitaet		     */
extern	unsigned tratou;	/* Level3 Timeout			     */
extern	unsigned tratri;	/* Level3 Versuche			     */
extern	unsigned traack;	/* Level3 ACK Verzoegerung		     */
extern	unsigned trabsy;	/* Level3 Busy Wartezeit		     */
extern	unsigned trawir;	/* Level3 vorgeschlagene Fenstergroesse	     */
extern	char	 nulide[];	/* leerer Ident				     */
extern	char	 Vpar;		/* Protokollversion			     */

/*** externe Definitionen aus Level1 (im EPROM)				   ***/
extern	char	 DEFCAL[];	/* Call des TNC				     */
extern	char	 DEFIDE[];	/* Ident des TNC			     */
extern  char     DEFPWD[];	/* Passwort				     */
extern  char     DEFINF[];	/* Info-String				     */
extern  char     DEFTP;		/* Senderverzoegerung			     */
extern unsigned  DEFPER;	/* Persistance				     */
extern unsigned  DEFSLO;	/* Zeitscheibengroesse			     */
extern unsigned  DEFRAK;	/* Level2 FRACK				     */
extern unsigned  DEFMAF;	/* Fenstergroesse in Level2		     */
extern unsigned  DEFL2T;	/* Versuche in Level2			     */
extern unsigned  DEFLT2;	/* Level2 Timer 2			     */
extern unsigned  DEFLT3;	/* Level2 Timer 3			     */
extern unsigned  DEFRPA;	/* Level2 Digipeating			     */
extern char      DEFDPA;	/* Full-Duplex				     */
extern unsigned  DEFNOA;	/* no-activity-timeout			     */
extern unsigned  DEFCON;	/* Frames im Buffer je Link		     */
extern unsigned  DEFBEA;	/* Bakenform				     */
extern unsigned  DEFVAL;	/* Call pruefen				     */
extern unsigned  DEFCQ;		/* CQ-Ruf erlaubt			     */
extern char      DEFXFP;	/* Fullduplex mit Flags			     */

extern char      DEFHOS;    /* default host mode state */
extern char      DEFKIS;    /* default crosslink / kiss mode state */
extern char      DEFBBS;    /* default enable / disable BBS command */
extern char      DEFCSB;    /* default connect destination */
extern unsigned  DEFBIN;    /* default beacon interval in seconds */
extern unsigned char  DEFNOHASH;
extern unsigned char DEFHLP;
extern unsigned char DEFRECONNECT;
extern unsigned char DEFNO_SLIME;
extern unsigned char DEFNO_DIGI;
#ifdef METERS
extern unsigned char DEFDEVMETER;
extern unsigned      DEFMETERFLAGS;
extern unsigned char DEFRXSIGMIN;
extern unsigned char DEFRXSMETER;
extern unsigned char DEFRXDB;
extern unsigned char DEFDBFLOOR;
extern unsigned char DEFMULT1;
extern unsigned char DEFMULT2;
extern unsigned char DEFOFS1;
extern unsigned char DEFOFS2;
#ifdef ALL_METERS
extern unsigned char DEFMULT3;
extern unsigned char DEFMULT4;
extern unsigned char DEFOFS3;
extern unsigned char DEFOFS4;
#endif
#endif

#ifdef PK96
extern unsigned char DEFBRATE0;
extern unsigned char DEFBRATE1;
extern unsigned brate0, brate1;
#endif

/*** Vorwaertsdefinitionen						   ***/
extern	unsigned ccpcon();
extern	unsigned ccpcq();
extern	unsigned ccpide();
extern	unsigned ccpnod();
extern	unsigned ccppar();
extern	unsigned ccpres();
extern	unsigned ccprou();
extern	unsigned ccpsys();
extern	unsigned ccpuse();

extern	char	ccpcm1[];
extern	char	ccpcm8[];
extern	char	ccpcm2[];
extern	char	ccpcm3[];
extern	char	ccpcm4[];
extern	char	ccpcm5[];
extern	char	ccpcm9[];
extern	char	ccpcm6[];
extern	char	ccpcm7[];

#ifndef NOHILOW
extern  unsigned ccphig();
extern  unsigned ccplow();
extern  char	ccpc10[];
extern	char	ccpc11[];
#endif

#ifdef STATSCMD
extern  unsigned ccpsts();
extern	char	ccpc12[];
extern unsigned cpuload;
extern unsigned char cpu2load;
extern unsigned minfre;
#endif

#ifdef HOSTCMD
extern  unsigned ccphst();
extern	char	ccpc13[];
extern  unsigned ccpbbs();
extern	char	ccpc15[];
#ifdef MODIFIED
extern  unsigned ccpbba();
extern  char     ccpc29[];
extern  unsigned ccphoa();
extern  char     ccpc31[];
#endif
#ifdef DXCLUSTER
extern  char    ccpc23[];
extern  unsigned ccpdxc();
#ifdef MODIFIED
extern  unsigned ccpdxa();
extern  char     ccpc30[];
#endif
#endif
#endif

#ifdef MODIFIED
extern  unsigned ccpali();
extern  char     ccpc33[];
extern  unsigned ccpbye();
extern	char	 ccpc14[];
extern  char     ccpc32[];
extern  unsigned ccpmod();
extern	char	 ccpc17[];
extern  unsigned cwspeed, cwiden;
extern  unsigned br1int, broalg;
extern  unsigned ccpui();
extern  char     ccpc35[];
#endif

#ifdef MONITORCMD
extern  unsigned ccpmh();
extern	char	ccpc16[];
#ifdef L3MONITOR
extern  unsigned ccpmh3();
extern	char	ccpc47[];
#endif
#endif

#ifdef TALKCMD
extern unsigned ccpcht();
extern char ccpc18[];
#endif

#ifdef MANAGED
extern unsigned ccpman();
extern char ccpc19[];
extern unsigned ccpaud();
extern char ccpc20[];
extern char L7id[];
extern char ccpc25[];
extern unsigned ccpbtx();
extern char ccpc27[];
extern unsigned ccpctx();
extern char ccpc28[];
extern unsigned ccphlp();
#endif

#ifdef CLOSEDOWN
extern unsigned ccpclo();
extern char ccpc24[];
#endif

#ifdef LINKSCMD
extern unsigned ccplin();
extern char ccpc21[];
#endif

#ifdef CWID
extern unsigned ccpcal();
extern char ccpc22[];
#endif

#ifdef ACL
extern unsigned ccpacl();
extern char ccpc26[];
#endif

#ifdef IPROUTE
extern char ccpc36[];
extern unsigned ccpipr();
extern char ccpc37[];
extern unsigned ccparp();
extern char ccpc38[];
extern unsigned ccpips();
extern char ccpc39[];
extern unsigned ccpipa();
extern char ccpc40[];
extern unsigned ccpipb();
extern char ccpc48[];
extern unsigned ccpart();
#endif

#ifdef MOD_MTU
extern char ccpc41[];
extern unsigned ccpmtu();
#endif

#ifdef METERS
extern char ccpc42[];
extern unsigned ccpmet();
extern char ccpc43[];
extern unsigned ccpadc();
extern char ccpc44[];
extern unsigned ccpad1();
extern char ccpc45[];
extern unsigned ccpad2();
#ifdef ALL_METERS
extern char ccpc49[];
extern unsigned ccpad3();
extern char ccpc50[];
extern unsigned ccpad4();
#endif
#endif

#ifdef PK96
extern char ccpc46[];
extern unsigned ccpbra();
extern VOID toggle_mail_flag();
#endif
